/*
 * GFCP_Server.h
 *
 *  Created on: May 31, 2011
 *      Author: yep
 */

#ifndef GFCP_SERVER_H_
#define GFCP_SERVER_H_

//#include "soapGFCP_WSService.h"
//#include "soapGFCP_USCOREFEPortBindingService.h"
#include "soapGFCP_PortBindingService.h"
#include <stdio.h>
#include <iostream>
#include <string>
#include <pthread.h>
#include <string.h>
#include "../../Includes/GFEexception.h"

class XML_Handler;
//class GFCP_WS_Client;
/**
 * \brief
 */
typedef struct wsStruct_t
{
  //	GFCP_WSService* gfcp_ws;
  GFCP_PortBindingService* gfcp_ws;
  int port;
} wsStruct;

class GFCP_Server
{
public:
  GFCP_Server()
  {
    GFCP_Server(8000);
  }
  ;
  GFCP_Server(int port);
  GFCP_Server(int port, XML_Handler* xmlHandler);
//  GFCP_Server(int port, GFCP_WS_Client* clientSOAP);
  virtual ~GFCP_Server();

  void setXMLHandler(XML_Handler* xmlHandler);

private:
  void startLFBProcessingThread(int port);
  static void* runWS(void *wsPtr);

  //	GFCP_WSService* gfcp_ws;
  GFCP_PortBindingService* gfcp_ws;
  pthread_t threadPtr; //queue processing thread id
};

#endif /* GFCP_SERVER_H_ */
