/****************************************************************************
 *
 * File Name: GFEexception.h
 *
 * General Description: Contains the GFE exception.
 *
 * Created By: Alex, Creation Date: 01/03/2011
 *
 * Revisions And Updates:
 *
 * Date		  Updated By		Description
 * ========== ================ =========================
 *
 ****************************************************************************/

#ifndef GFEEXCEPTION_H_
#define GFEEXCEPTION_H_

/****************************************************************************
 * File description
 ****************************************************************************/

/*! \file GFEexception.h
 *\brief Contains the GFE exception.
 *\author Alex
 */

/****************************************************************************
 * Include header files
 ****************************************************************************/
#include <string>

/**
 * \brief GFEexception class.
 */
class GFEexception
{
public:
  GFEexception(std::string msg)
  {
    message = msg;
  }
  ;

  virtual ~GFEexception()
  {
  }
  ;

  inline std::string getMessage()
  {
    return message;
  }
  ;

private:
  std::string message;
};

#endif /* GFEEXCEPTION_H_ */
